/*****************************************************************************
** File:
**      LanguageChineseSimplified.h
**
** Copyright (C) 2003-2004 Daniel Vik
**
**  This software is provided 'as-is', without any express or implied
**  warranty.  In no event will the authors be held liable for any damages
**  arising from the use of this software.
**
**  Permission is granted to anyone to use this software for any purpose,
**  including commercial applications, and to alter it and redistribute it
**  freely, subject to the following restrictions:
**
**  1. The origin of this software must not be misrepresented; you must not
**     claim that you wrote the original software. If you use this software
**     in a product, an acknowledgment in the product documentation would be
**     appreciated but is not required.
**  2. Altered source versions must be plainly marked as such, and must not be
**     misrepresented as being the original software.
**  3. This notice may not be removed or altered from any source distribution.
**
******************************************************************************
*/
#ifndef LANGUAGE_CHINESE_SIMPLIFIED_H
#define LANGUAGE_CHINESE_SIMPLIFIED_H

#include "LanguageEnglish.h"

class LanguageChineseSimplified : public LanguageEnglish
{
public:
    LanguageChineseSimplified() {
        genericOk                   = "ȷ";
        genericCancel               = "ȡ";

        toolbarResume               = "ʼ/";
        toolbarPause                = "ȫж";
        toolbarStop                 = "ֹͣ";
        toolbarRun                  = "";
        toolbarShowNext             = "ʾһ";
        toolbarStepIn               = "ִ";
        toolbarStepOver             = "";
        toolbarStepOut              = "";
        toolbarRunTo                = "е괦";
        toolbarBpToggle             = "趨/Ƴϵ";
        toolbarBpEnable             = "/öϵ";
        toolbarBpEnableAll          = "жϵ";
        toolbarBpDisableAll         = "жϵ";
        toolbarBpRemoveAll          = "Ƴжϵ";

        menuFile                    = "ļ";
        menuFileLoadSymbolFile      = "ȡļ";
        menuFileSaveDisassembly     = "淴";
        menuFileSaveMemory          = "ڴ";
        menuFileExit                = "˳";

        menuDebug                   = "";
        menuDebugStart              = "ʼ";
        menuDebugContinue           = "";
        menuDebugBreakAll           = "ȫж";
        menuDebugStop               = "ֹͣ";
        menuDebugRestart            = "¿ʼ";
        menuDebugStepIn             = "ִ";
        menuDebugStepOver           = "";
        menuDebugStepOut            = "";
        menuDebugRunTo              = "е괦";
        menuDebugShowSymbols        = "ʾϢ";
        menuDebugGoto               = "ת";
        menuDebugFind               = "";
        menuDebugBpAdd              = "¶ϵ";
        menuDebugBpToggle           = "趨/Ƴ ";
        menuDebugEnable             = "/öϵ";
        menuDebugRemoveAll          = "Ƴжϵ";
        menuDebugEnableAll          = "жϵ";
        menuDebugDisableAll         = "жϵ";
        menuDebugShowAssemblyFlags  = "ʾ־";

        menuWindow                  = "";

        menuHelp                    = "";
        menuHelpAbout               = "";

        debuggerName                = "Թ";
        windowDebugger              = "blueMSX - Թ";
        windowDisassembly           = "";
        windowDisassemblyUnavail    = "಻á";
        windowCpuRegisters          = "CPUĴ";
        windowCpuRegistersFlags     = "";
        windowStack                 = "ջ";
        windowStackUnavail          = "ջá";
        windowCallstack             = "ջ";
        windowCallstackUnavail      = "ջá";
        windowMemory                = "ڴ";
        windowPeripheralRegisters   = "ΧĴ";
        windowIoPorts               = "I/O ˿";

        memWindowRegisters          = "Ĵ:";

        memWindowMemory             = "ڴ:";
        memWindowAddress            = "ַ:";

        setBpWindowCaption          = "¶ϵ";
        gotoWindowCaption           = "תַ";
        gotoWindowText              = "ַǩ:";

        symbolWindowCaption         = "򿪷ļ";
        symbolWindowText            = "Ǿɵķ";

        popupOverwrite              = "ļѴڡҪԭļ";
        
        aboutBuilt                  = ":";
        aboutVisit                  = "½www.bluemsx.com ";
    }
};


#endif //LANGUAGE_CHINESE_SIMPLIFIED_H
